Public Member Functions

# CargoTransfer Class Reference

Action of transferring cargo from a vehicle to a station. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoTransfer:

## Public Member Functions
| CargoTransfer (VehicleCargoList *source, StationCargoList *destination, uint max_move)
bool | operator() (CargoPacket *cp)
| Transfers some cargo from a vehicle to a station.

## Detailed Description

Action of transferring cargo from a vehicle to a station.

Definition at line 73 of file cargoaction.h.

## Member Function Documentation

bool CargoTransfer::operator() | ( | CargoPacket * | cp | ) |

Transfers some cargo from a vehicle to a station.

Parameters:

  | cp | Packet to be transfered.

Returns:
  True if the packet was completely reserved, false if part of it was.

Definition at line 166 of file cargoaction.cpp.

References StationCargoList::Append(), CargoPacket::Count(), CargoMovement< VehicleCargoList, StationCargoList >::destination, CargoList< VehicleCargoList, CargoPacketList >::MTA_TRANSFER, CargoPacket::NextStation(), CargoMovement< VehicleCargoList, StationCargoList >::Preprocess(), VehicleCargoList::RemoveFromMeta(), and CargoMovement< VehicleCargoList, StationCargoList >::source.

The documentation for this class was generated from the following files:

- src/cargoaction.h
- src/cargoaction.cpp